Skip to content
View as Markdown

GET Import Driver Details​

GET
/import/drivers/{driver}

Retrieve configuration details for a specific import driver. For the users driver, returns available WordPress roles and configuration fields. When called with summary=true, returns a preview of matching users. For other drivers, the response is determined by the driver's filter hook.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

driver*

Import driver identifier (e.g., users, csv).

Type
string
Required

Query Parameters

summary

If truthy, returns a summary/preview of contacts to import based on the current config.

Type
string
config[roles][]

User roles to filter by (for the users driver summary view).

Type
array

Responses​

Driver configuration or import summary.

application/json
JSON
{
"config": {
"roles": [
]
},
"fields": {
"roles": {
"label": "Select User Roles",
"type": "checkbox-group",
"options": [
{
"id": "subscriber",
"label": "Subscriber"
},
{
"id": "administrator",
"label": "Administrator"
}
]
}
},
"labels": {
"step_2": "Next [Review Data]",
"step_3": "Import Users Now"
}
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI